Bug 1798491 - [IPI baremetal]: Add a way to build/modify ipa image
Summary: [IPI baremetal]: Add a way to build/modify ipa image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Julia Kreger
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 13:38 UTC by Riccardo Pittau
Modified: 2020-05-04 11:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:33:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ironic-ipa-downloader pull 23 None closed Bug 1798491: Add a way to modify ipa image 2020-04-28 12:06:07 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:34:00 UTC

Description Riccardo Pittau 2020-02-05 13:38:54 UTC
For the ironic-ipa-downloader image we currently rely on images provided by the package rhosp-director-images-ipa which contain ironic-python-agent that is too old to satisfy the needs of recent features requests.
As a workaround, we need a way to modify the ipa ramdisk during the build process and be able to inject recent code from recent version of the ironic-python-agent rpm and other packages.

Comment 4 errata-xmlrpc 2020-05-04 11:33:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.